weka.knowledgeflow.steps

## Class SetPropertiesFromEnvironment

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.SetPropertiesFromEnvironment

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="SetPropertiesFromEnvironment",
              category="Flow",
              toolTipText="Set properties of the connected algorithm-based step (e.g. Classifier, Clusterer etc.) using values stored in the flow environment. If no property path for a particular setting value is specified, then it is assumed that the value provided is scheme name + options in command-line form, in which case the underlying scheme of the connected step will be constructed and set; otherwise, the property path is used to set a value on the existing underlying scheme.",
              iconPath="weka/gui/knowledgeflow/icons/SetPropertiesFromEnvironment.gif")
      public class SetPropertiesFromEnvironment
      extends BaseStep

  Step that accesses property values stored in the flow environment and attempts to set them on the algorithm-based step that it is connected to.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetPropertiesFromEnvironment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of acceptable incoming connection types
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce.
    `void` | `stepInit()` Initialize the step.

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, processIncoming, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetPropertiesFromEnvironment

          public SetPropertiesFromEnvironment()

  - ### Method Detail

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step.
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of acceptable incoming connection types
      Returns:
        a list of acceptable incoming connection types

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Description copied from interface: `Step`
      Get a list of outgoing connection types that this step can produce. Ideally (and if appropriate), this should take into account the state of the step and the incoming connections. E.g. depending on what incoming connection is present, a step might be able to produce a trainingSet output, a testSet output or neither, but not both.
      Returns:
        a list of outgoing connections that this step can produce